/******************************************************************************\
* University of Illinois/NCSA                                                  *
* Open Source License                                                          *
*                                                                              *
* Copyright 2004, University of Illinois at Urbana-Champaign.  All rights     *
* reserved.                                                                    *
*                                                                              *
* Developed by:                                                                *
*                                                                              *
*   Terry Bradley                                                              *
*   Brian Bailey                                                               *
*   Sharon Tettegah                                                            *
*                                                                              *
*   Orchid Research Group                                                      *
*                                                                              *
*   University of Illinois at Urbana-Champaign                                 *
*                                                                              *
*   http://orchid.cs.uiuc.edu/                                                 *
*                                                                              *
* Permission is hereby granted, free of charge, to any person obtaining a      *
* copy of this software and associated documentation files (the Software),   *
* to deal with the Software without restriction, including without limitation  *
* the rights to use, copy, modify, merge, publish, distribute, sublicense,     *
* and/or sell copies of the Software, and to permit persons to whom the        *
* Software is furnished to do so, subject to the following conditions:         *
*                                                                              *
*   * Redistributions of source code must retain the above copyright notice,   *
*     this list of conditions and the following disclaimers.                   *
*                                                                              *
*   * Redistributions in binary form must reproduce the above copyright        *
*     notice, this list of conditions and the following disclaimers in the     *
*     documentation and/or other materials provided with the distribution.     *
*                                                                              *
*   * Neither the names of the Orchid Research Group, the University of        *
*     Illinois at Urbana-Champaign, nor the names of its contributors may be   *
*     used to endorse or promote products derived from this Software without   *
*     specific prior written permission.                                       *
*                                                                              *
* THE SOFTWARE IS PROVIDED AS IS, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR   *
* IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,     *
* FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL     *
* THE CONTRIBUTORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR    *
* OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,        *
* ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER  *
* DEALINGS WITH THE SOFTWARE.                                                  *
\******************************************************************************/

package edu.uiuc.orchid.clover.Actions;

/**
 * Think.  One of two primary actions.  The PrimaryAction class
 * handles most functions - this class is primarily used to distinguish
 * between Speak and Think actions.
 * 
 * @author Terry J Bradley
 * @version 04.7.26
 *
 */

public class Think extends PrimaryAction {

	/**
	 * If variables are added, Think will have to implement 
	 * writeObject and readObject methods.
	 */
	
	
// CONSTRUCTORS	
	public Think(int source, int time, String dialog) {
		super(source, source, time);
		m_dialog = dialog;
	}
	
	public Think(int source, int time) {
		this(source, time, null);
	}
	
	public Think(int time) {
		super(time);
		m_dialog = null;
	}
	
// METHODS	
	/**
	 * This method might guess the location of a character's head to 
	 * better place a call-out bubble.  Not currently implemented or 
	 * used.
	 */
	public void guessLocation() {}
	
	/**
	 * Smarter toString method prints character name and action details.
	 */
	public String toString() {
		if (!m_targetGID.isEmpty())
			return super.toString() + "thinks, \"" +m_dialog+"\"";
		else
			return ""; 
	}
	
}